CodingEquationsType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface CodingEquationsType

-     public interface CodingEquationsType

  Implement this interface to access unique identifiers for coding equations used to convert RGB image components to component color difference image components. This interface is also used to seed the define the extendible enumeration `CodingEquationsType`. See section 23.1 of the AAF object specification v1.1 for details of the equations themselves.

  See Also:
    `ExtendibleEnumerationItem`, `TypeDefinitionExtendibleEnumeration`, `PictureDescriptor.getCodingEquations()`, `Warehouse.lookupExtendibleEnumeration(String)`, `TypeDefinitions.CodingEquationsType`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `ITU601` Coding equations from "Recommendation ITU-R BT.601 Coding Equations".
    `static AUID` | `ITU709` Coding equations from "Recommendation ITU-R BT.709 Coding Equations".
    `static AUID` | `SMPTE240M` Coding equations from "SMPTE 240M Coding Equations".

- - ### Field Detail

    - #### ITU601

          @ExtendibleEnumerationItem(target="CodingEquations")
          static final AUID ITU601

      Coding equations from "Recommendation ITU-R BT.601 Coding Equations".

    - #### ITU709

          @ExtendibleEnumerationItem(target="CodingEquations")
          static final AUID ITU709

      Coding equations from "Recommendation ITU-R BT.709 Coding Equations". Note that this constant may also be used to identify coding equations from SMPTE 274M and SMPTE 296M which are defined to be the same.

    - #### SMPTE240M

          @ExtendibleEnumerationItem(target="CodingEquations")
          static final AUID SMPTE240M

      Coding equations from "SMPTE 240M Coding Equations". Note that this is included for legacy use only.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.